%define upstream_name    RPM-Spec
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A very simplistic read-only method of accessing RPM spec files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RPM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
*WARNING: This code is actively being worked on, and the API may change.*

RPM::Spec provides simplistic access to the different bits of information a
spec file provides... It is basically a collection of different parsing
routines that were scattered through a bunch of other modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes TODO META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Nov 19 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 169365
- imported package perl-RPM-Spec


* Sat Nov 19 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
